"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.streamWithKnownSizeToString = streamWithKnownSizeToString;
async function streamWithKnownSizeToString(stream, size) {
    const buffer = Buffer.alloc(size);
    let offset = 0;
    for await (const chunk of stream) {
        if (typeof chunk !== 'string' && !Buffer.isBuffer(chunk)) {
            continue;
        }
        const chunkBuffer = !Buffer.isBuffer(chunk) ? Buffer.from(chunk, 'utf8') : chunk;
        chunkBuffer.copy(buffer, offset);
        offset += chunkBuffer.length;
    }
    return buffer.toString('utf8', 0, offset);
}
//# sourceMappingURL=streamUtils.js.map